import request from '@/utils/request'

//渠道列表
export function channelList(params) {
    return request({
      url:'/pms/cThirdPartyInfo/list',
      method:'get',
      params:params
    })
  }

  //渠道列表编辑
export function editList(data) {
  return request({
    url:'/pms/cThirdPartyInfo/update',
    method:'post',
    data:data
  })
}

//   渠道上账列表
  export function upCheckList(params) {
    return request({
      url:'/ums/umsThirdPartyDetail/list',
      method:'get',
      params:params
    })
  }

// 渠道使用情况列表
export function useConditionList(params) {
  return request({
    url:'/pms/cThirdPartyInfo/getServiceCondition',
    method:'get',
    params:params
  })
}

// 使用列表回显
export function getAccountInfo(id,params) {
  return request({
    url:'/pms/cThirdPartyInfo/settleAccount/'+id,
    method:'get',
    params:params
  })
}

// 状态变更
export function updateStatus(id,status,data) {
  return request({
    url:'pms/cThirdPartyInfo/updateStatus/'+id+'/'+status,
    method:'post',
    data:data
  })
}

// 上账/结算
export function upTheAccount(data) {
  return request({
    url:'ums/umsThirdPartyDetail/save',
    method:'post',
    data:data
  })
}